# xbps – Manage packages with XBPS

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage packages with the XBPS package manager.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - |  | Name of the package to install, upgrade, or remove.

recurse
boolean

Choices:
- no ←
- yes

When removing a package, also remove its dependencies, provided that they are not required by other packages and were not explicitly installed by a user.

state
-

Choices:
- present ←
- absent
- latest

Desired state of the package.

update_cache
boolean

Choices:
- no
- yes ←

Whether or not to refresh the master package lists. This can be run as part of a package installation or as a separate step.

upgrade
boolean

Choices:
- no ←
- yes

Whether or not to upgrade whole system

## Examples

    # Install package foo
    - xbps: name=foo state=present
    # Upgrade package foo
    - xbps: name=foo state=latest update_cache=yes
    # Remove packages foo and bar
    - xbps: name=foo,bar state=absent
    # Recursively remove package foo
    - xbps: name=foo state=absent recurse=yes
    # Update package cache
    - xbps: update_cache=yes
    # Upgrade packages
    - xbps: upgrade=yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Message about results Sample: System Upgraded
packages list | success | Packages that are affected/would be affected Sample: ['ansible']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Dino Occhialini (@dinoocch)

- Michael Aldridge (@the-maldridge)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.